Run a job workflow

Prev Next
Post
/v1/JobWorkflow/Authorized

Queues a predefined job workflow for execution. Provide the workflow automation ID, optional concurrency scope, and any workflow-specific parameters. On success, returns a job ID you can use to check job status.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Body parameters

These job workflows are defined in your customer environment by Zilliant staff. They will provide the information needed to correctly populate the JSON body.

Run publish list prices

Run the PublishListPrices workflow with a scope and one argument.

{
  "descriptor": "PLATFORM_CUSTOM_WORKFLOW",
  "scope": "scope2",
  "parameters": {
    "WORKFLOW_AUTOMATION_ID": "PublishListPrices",
    "foo": "bar"
  }
}
Expand All
object
descriptor
string

Workflow descriptor identifier.

ExamplePLATFORM_CUSTOM_WORKFLOW
scope
string

Concurrency scope for the workflow. If omitted, the job runs in a system-managed serial queue with other unscoped jobs. If provided, jobs with different scopes may run in parallel, while jobs sharing the same scope are queued. Environment configuration is required to enable parallel runs; otherwise a 409 is returned when another job with the same scope is in progress.

Examplescope2
parameters
object Required

Workflow parameters. Must include WORKFLOW_AUTOMATION_ID. You can also include additional stored procedure arguments expected by the workflow's extension points.

Example{ "WORKFLOW_AUTOMATION_ID": "PublishListPrices", "foo": "bar" }
WORKFLOW_AUTOMATION_ID
string Required

Unique Automation ID of the predefined job workflow to run.

ExamplePublishListPrices
property*
string additionalProperties

Optional stored procedure arguments (key-value pairs) used by extension points within the workflow. If provided, these override default values defined in the workflow's stored procedures.

Responses
202

The job workflow was queued successfully. Returns the jobId.

400

Unable to process the JSON body.

401

Authentication error, for example, invalid Authorization header or X-Forwarded-Host header value.

409

A job with the same scope is already in progress and the environment is not enabled for parallel runs.

500

Service failed to process request.